# Created by pyp2rpm-3.3.5
%global pypi_name hiredis

Name:           python-%{pypi_name}
Version:        2.0.0
Release:        1%{?dist}
Summary:        Python wrapper for hiredis

License:        BSD
URL:            https://github.com/redis/hiredis-py
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  hiredis
BuildRequires:  gcc

%description
 hiredis-py[![Build Status]( [![Windows Build Status]( extension that wraps
protocol parsing code in [hiredis][hiredis]. It primarily speeds up parsing of
multi bulk replies.[hiredis]: Installhiredis-py is available on [PyPI]( and can
be installed with: pip install hiredis Requirementshiredis-py requires **Python
3.6+**.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 hiredis-py[![Build Status]( [![Windows Build Status]( extension that wraps
protocol parsing code in [hiredis][hiredis]. It primarily speeds up parsing of
multi bulk replies.[hiredis]: Installhiredis-py is available on [PyPI]( and can
be installed with: pip install hiredis Requirementshiredis-py requires **Python
3.6+**.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Nov 03 2021 Alexander Manning <mail@alex-m.co.uk> - 2.0.0-1
- Initial package.
